Open SCAP Library: ERRORS

Open SCAP Library

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

Macros | Typedefs | Functions
ERRORS
Common

Error checking mechanism. More...

## Typedefs
typedef uint16_t | oscap_errfamily_t
| Error family type.

## Functions
void | oscap_clearerr (void)
| Clear an error.
bool | oscap_err (void)
| Check for an error.
oscap_errfamily_t | oscap_err_family (void)
| Get last error family.
const char * | oscap_err_desc (void)
| Get last error description.
char * | oscap_err_get_full_error (void)
| Get the full description for all the errors which has occured in this thread since the last call of this function or oscap_clearerr. More...

## OpenSCAP error families
#define | OSCAP_EFAMILY_NONE 0
| None.
#define | OSCAP_EFAMILY_GLIBC 1
| Errno errors.
#define | OSCAP_EFAMILY_XML 2
| Libxml errors.
#define | OSCAP_EFAMILY_OSCAP 3
| OSCAP general errors.
#define | OSCAP_EFAMILY_OVAL 4
| OVAL errors (OVAL & probes)
#define | OSCAP_EFAMILY_XCCDF 5
| XCCDF errors.
#define | OSCAP_EFAMILY_SCE 6
| SCE errors.
#define | OSCAP_EFAMILY_NET 7
| Errors from network communication. More...

## Detailed Description

Error checking mechanism.

Purse of this mechanism is to inform user about problems that occured during executaion of library functions. Mechanism is similar to linux errno variable. When the problem raise, the information about it is stored in library buffer. This information consists of error family, and textual description. Example of usage:

syschar = oval_probe_object_eval (pctx, object);
if (syschar == NULL && oscap_err()) {
printf("Error: (%d) %s\n", oscap_err_family(), oscap_err_desc());
}
oscap_clearerr()

## Macro Definition Documentation

#define OSCAP_EFAMILY_NET 7

Errors from network communication.

Presumably from libcurl.

## Function Documentation

char* oscap_err_get_full_error | ( | void |  | ) |

Get the full description for all the errors which has occured in this thread since the last call of this function or oscap_clearerr.

This function is destructive. Subsequent call shall return NULL.

Returns
  zero terminated string describing these errors, which shall be disposed by caller.

Return values

  NULL | if there are no errors.